package cn.kent.client;

import java.io.DataInputStream;
import java.io.IOException;
import java.io.ObjectOutputStream;
import java.net.Socket;
import java.net.UnknownHostException;

/**
 * 客户端，模拟用户登录
 * 
 * @author Kent
 * @time 2019-06-04 12:20:20
 */
public class Client {
	public static void main(String[] args) throws UnknownHostException, IOException {
		
		// (1)创建Socket对象
		Socket client = new Socket("localhost", 8888);
		// (2)获取输出流
		ObjectOutputStream oos = new ObjectOutputStream(client.getOutputStream());
		User user = new User("admin", "admin");
		oos.writeObject(user);
		// (3)获取输入流
		DataInputStream dis = new DataInputStream(client.getInputStream());
		System.out.println(dis.readUTF());
		// (4)关闭流
		if(dis != null) {
			dis.close();
		}
		if(oos != null) {
			oos.close();
		}
		if(client != null) {
			client.close();
		}
		
	}
}
